=== modified file 'NEWS'
--- NEWS	2010-04-08 08:48:59 +0000
+++ NEWS	2010-04-10 09:22:04 +0000
@@ -22,6 +22,9 @@
 Bug Fixes
 *********
 
+* ``bzrlib.mutabletree.MutableTree.commit`` will now support a passed in
+  config as in previous versions of bzrlib. (Robert Collins)
+
 * Make sure the ``ExecutablePath`` and ``InterpreterPath`` are set in
   Apport crash reports, to avoid "This problem report applies to a program
   which is not installed any more" error.

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2010-04-06 06:40:54 +0000
+++ bzrlib/commit.py	2010-04-10 09:22:04 +0000
@@ -243,6 +243,8 @@
         """
         operation = OperationWithCleanups(self._commit)
         self.revprops = revprops or {}
+        # XXX: Can be set on __init__ or passed in - this is a bit ugly.
+        self.config = config or self.config
         return operation.run(
                message=message,
                timestamp=timestamp,
@@ -256,7 +258,6 @@
                working_tree=working_tree,
                local=local,
                reporter=reporter,
-               config=config,
                message_callback=message_callback,
                recursive=recursive,
                exclude=exclude,
@@ -264,7 +265,7 @@
 
     def _commit(self, operation, message, timestamp, timezone, committer,
             specific_files, rev_id, allow_pointless, strict, verbose,
-            working_tree, local, reporter, config, message_callback, recursive,
+            working_tree, local, reporter, message_callback, recursive,
             exclude, possible_master_transports):
         mutter('preparing to commit')
 

